Ruby - Bug #12598

List files with Unicode license in LEGAL file
07/19/2016 08:26 AM - duerst (Martin Darst)

Status: Closed
Priority: Normal
Assignee: duerst (Martin Dirst)

Target version:

ruby -v: Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:
UNKNOWN

Description
From https://bugs.ruby-lang.org/issues/12529:

enc/trans/*/.src

$ 1ls enc/trans/**/*.src | xargs grep —-i copyright

enc/trans/GB/GB12345%UCS.src:# Copyright (c) 1991-1994 Unicode, Inc. All Rights reserved.
enc/trans/GB/*.src files are not covered within the file.

It must be Unicode or Unicode Character Database (UCD) license.

This issue is also related on https://bugs.ruby-lang.org/issues/11844 .

Related issues:
Related to Ruby - Misc #12529: LEGAL file covering all the license informatio... Closed
Related to Ruby - Bug #16820: LEGAL is out of sync Closed

Associated revisions

Revision 8c18d58557787567a3bc3f4f9802e06af62544f6 - 07/22/2016 12:24 AM - hsbt (Hiroshi SHIBATA)

e LEGAL: Added entries for files under the USD license.
[Bug #12598][ruby-core:76428][ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55724 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 8c18d585 - 07/22/2016 12:24 AM - hsbt (Hiroshi SHIBATA)

e L EGAL: Added entries for files under the USD license.
[Bug #12598][ruby-core:76428][ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55724 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 3d46d51c45b608000d1de02fffa80f0901959e67 - 09/01/2017 10:22 AM - duerst (Martin Diirst)
replace copyrights by explanatory text in data files for GB2312/GB12345 mappings

Replace the copyrights and explanatory texts in the data files used for mapping
GB2312/GB12345 to/from Unicode with short explanatory texts. [Bug #12598] [ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59715 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 3d46d51c - 09/01/2017 10:22 AM - duerst (Martin Diirst)
replace copyrights by explanatory text in data files for GB2312/GB12345 mappings

Replace the copyrights and explanatory texts in the data files used for mapping
GB2312/GB12345 to/from Unicode with short explanatory texts. [Bug #12598] [ci skip]

git-svn-id: svn+ssh:/ci.ruby-lang.org/ruby/trunk@59715 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History
https://bugs.ruby-lang.org/issues/12529
https://bugs.ruby-lang.org/issues/11844

#1 - 07/19/2016 08:27 AM - duerst (Martin Diirst)
- Blocks Misc #12529: LEGAL file covering all the license information within Ruby added

#2 - 07/22/2016 12:22 AM - hsbt (Hiroshi SHIBATA)
- Assignee changed from duerst (Martin Diirst) to hsbt (Hiroshi SHIBATA)

#3 - 07/22/2016 12:24 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Closed

Applied in changeset r55724.

e | EGAL: Added entries for files under the USD license.
[Bug #12598][ruby-core:76428][ci skip]

#4 - 08/31/2017 06:41 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Closed to Assigned

- Assignee changed from hsbt (Hiroshi SHIBATA) to duerst (Martin Ddirst)

#5 - 08/31/2017 06:59 AM - hsbt (Hiroshi SHIBATA)
- Related to Misc #12529: LEGAL file covering all the license information within Ruby added

#6 - 08/31/2017 06:59 AM - hsbt (Hiroshi SHIBATA)
- Blocks deleted (Misc #12529: LEGAL file covering all the license information within Ruby)

#7 - 08/31/2017 07:02 AM - naruse (Yui NARUSE)
Though GB2312 seems still needed, but we may be able to remove GB12345.

#8 - 09/01/2017 05:50 AM - hsbt (Hiroshi SHIBATA)
| discussed UCD license on the Ruby language with Prof. Martin.

enc/trans/GB/.src files have a wrong license holder message about UCD. Example: its message points another dataset.
We will put a disclaimer message into a top of enc/trans/GB/.src files and will remove current UCD license message.

#9 - 09/01/2017 10:09 AM - duerst (Martin Diirst)

To give some more details on what Hiroshi wrote, what happened (actually upstreams, not at Ruby itself) is that somebody took some of the Unicode
data files and used them to produce a product supporting Unicode, as permitted in the copyright for those files.

The resulting files bear some similarity to the original ones, but that similarity is limited to using 0OXABCD notation and the "one line per entry"
convention (stuff used widely throughout the community), and containing the same mappings (which is explicitly what's needed to "produce a product
supporting Unicode"). The number of columns and the order of columns and entries has been changed. Some new headers have been added.

Whoever did this work kept all the explanatory text and the copyright notice, but the explanatory text does no longer apply (it's explicitly wrong). Once
that's gone, the copyright notice is also no longer necessary, because the result is not a copy of the original file, but use of the data in the original file
which is explicitly permitted.

I'm therefore going to replace these copyright notices with a very short notice explaining the above facts. This short notice will also say that Unicode,
Inc. never made any claims as to fitness of that file for any particular purpose, and has ceased to publish the file many years ago. I'm doing that
because in discussions with people at the Unicode consortium, it turned out that the main reason they don't want to republish these old files with a
new copyright (as they have done for other files) is that they are afraid to give any impression of "correctness" for these files.

#10 - 09/01/2017 10:22 AM - duerst (Martin Diirst)

- Status changed from Assigned to Closed

Applied in changeset trunk|r59715.

replace copyrights by explanatory text in data files for GB2312/GB12345 mappings

Replace the copyrights and explanatory texts in the data files used for mapping
GB2312/GB12345 to/from Unicode with short explanatory texts. [Bug #12598] [ci skip]

#11 - 04/29/2020 08:06 AM - shyouhei (Shyouhei Urabe)
- Related to Bug #16820: LEGAL is out of sync added
